@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";
@import "/src/styles/pet-borders.scss";

:host {
	position: fixed;
	top: 1rem;
	left: 0;
	max-height: 95vh;
	z-index: 1055;
	display: block;
	overflow-y: auto;
	@extend .pet-right-rounded;
	@include media-breakpoint-down(sm) {
    width: 85vw;
  };
  @include media-breakpoint-up(sm) {
    width: 89vw;
  };
}

.compare-panel-bg {
  background-color: rgba(var(--bs-secondary-lightest-rgb), .95);
}

.close-btn {
	position: absolute;
	top: -0.5rem;
	left: -0.5rem;
	@include media-breakpoint-up(md) {
		/* equivalent to .fa-2x */
		font-size: 2em;
	};
}

.clear-btn {
	/* equivalent to .btn-sm */
	padding: 0.25rem 0.5rem;
	font-size: 0.875rem;
	line-height: 1.5;
	border-radius: 0.2rem;
	@include media-breakpoint-up(md) {
		/* equivalent to .btn-lg */	
		padding: 0.5rem 1rem;
		font-size: 1.25rem;
		line-height: 1.5;
		border-radius: 0.3rem;
	}
}